- content:
  - invariant:
      format: acsl_expression
      location:
        file_name: null
        function: main
        line: 25
      type: loop_invariant
      value: ((((sn == 0) && (i == 1)) || ((sn <= ((long long) n * 2)) && (((long
        long) 2 + sn) == ((long long) i * 2)))))
  - invariant:
      ensures: ((\old(cond) != 0)) && (1)
      format: acsl_expression
      location:
        file_name: null
        function: __VERIFIER_assert
        line: 15
      requires: ((\old(cond) != 0)) && (cond != 0)
      type: function_contract
  entry_type: invariant_set
  metadata:
    format_version: '3.0'
